import React from 'react';
import { shallow } from 'enzyme';
import toJson from 'enzyme-to-json';
import Icon from './Icon';
import { logo, paypal } from './list';

describe('<Icon />', () => {
  it('Simple Icon renders', () => {
    const component = shallow(<Icon glyph={logo} ariaLabel="Logo" />);
    expect(toJson(component)).toMatchSnapshot();
  });

  it('Test error empty aria label', () => {
    const component = shallow(<Icon glyph={paypal} role="img" />);
    expect(component.props().role).toEqual('img');
  });
  it('Test error without props', () => {
    const component = shallow(<Icon />);
    expect(component.props().role).toEqual('img');
  });
});
